package com.yihu.jw.base.service.dict.importManage;


import com.yihu.jw.util.excel.ExcelUtil;
import com.yihu.jw.util.excel.Validation;
import com.yihu.jw.util.excel.annotation.Location;
import com.yihu.jw.util.excel.annotation.Row;
import com.yihu.jw.util.excel.annotation.ValidRepeat;

import java.util.Map;
import java.util.Set;


@Row(start = 1)
public class BasIcd10ExcelDO extends ExcelUtil implements Validation {

    @Location(x=0)
    @ValidRepeat
    String code;
    @Location(x=1)
    @ValidRepeat
    String name;
    @Location(x=2)
    @ValidRepeat
    String  description;//
    @Location(x=3)
    @ValidRepeat
    String disea_reason;
    @Location(x=4)
    @ValidRepeat
    String death_reason;//
    @Location(x=5)
    @ValidRepeat
    String py_code;
    @Location(x=6)
    @ValidRepeat
    String d_code;
    @Location(x=7)
    @ValidRepeat
    String flag;//
    @Location(x=8)
    @ValidRepeat
    String status;

    public String getCode() {
        return code;
    }

    public void setCode(String code) {
        this.code = code;
    }

    public String getName() {
        return name;
    }

    public void setName(String name) {
        this.name = name;
    }

    public String getDescription() {
        return description;
    }

    public void setDescription(String description) {
        this.description = description;
    }

    public String getDisea_reason() {
        return disea_reason;
    }

    public void setDisea_reason(String disea_reason) {
        this.disea_reason = disea_reason;
    }

    public String getDeath_reason() {
        return death_reason;
    }

    public void setDeath_reason(String death_reason) {
        this.death_reason = death_reason;
    }

    public String getPy_code() {
        return py_code;
    }

    public void setPy_code(String py_code) {
        this.py_code = py_code;
    }

    public String getD_code() {
        return d_code;
    }

    public void setD_code(String d_code) {
        this.d_code = d_code;
    }

    public String getFlag() {
        return flag;
    }

    public void setFlag(String flag) {
        this.flag = flag;
    }

    public String getStatus() {
        return status;
    }

    public void setStatus(String status) {
        this.status = status;
    }

    @Override
    public int validate(Map<String, Set> repeatMap) {
        int rs = 1;
        return rs;
    }
}
